Firmware
Firmware related endpoints.
Get a specific firmware file
/downloads/v1/firmware/{hardwareFirmwareId}
Retrieve details of a specific firmware file by its Id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Option 1: object
Response schema with result and metadata
Option 2: object
Response schema with result and metadata
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get firmware files for a specific hardware family
/downloads/v1/firmware/hardware-families/{hardwareFamilyId}
Retrieve a list of firmware files associated with a specific hardware family Id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hardware-families/{hardwareFamilyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get firmware files for a specific hardware
/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}
Retrieve a list of firmware files associated with a specific hardware Id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get the latest firmware file for a specific hardware
/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/latest
Retrieve the latest firmware file associated with a specific hardware Id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/latest" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get the latest firmware files for a specific hardware family
/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/latest
Retrieve the latest firmware files associated with a specific hardware family Id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hardware-families/{hardwareFamilyId}/latest" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List all available firmware for hubs
/downloads/v1/firmware/hubs
List all available firmware for hubs.
Requires a bearer access token for this API. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hubs" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List Firmware for a Specific Hub
/downloads/v1/firmware/hubs/{hubIdentifier}
List the firmware versions available for a specific hub model.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hubs/{hubIdentifier}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Latest Firmware for a Specific Hub
/downloads/v1/firmware/hubs/{hubIdentifier}/latest
Get the latest firmware for a specific hub model.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hubs/{hubIdentifier}/latest" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Release Notes for a Specific Hub
/downloads/v1/firmware/hubs/{hubIdentifier}/release-notes
Get the release notes for a specific hub model.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/hubs/{hubIdentifier}/release-notes" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List all available firmware types
/downloads/v1/firmware/types
List all available firmware types.
Requires a bearer access token for this API. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/types" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List all available firmware of a specified firmware type
/downloads/v1/firmware/types/{firmwareTypeId}
List all available firmware of a specified firmware type.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/types/{firmwareTypeId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List the latest available firmware of a specified type
/downloads/v1/firmware/types/{firmwareTypeId}/latest
List the latest available firmware of a specified type.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/types/{firmwareTypeId}/latest" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List the firmware release notes of a specified type
/downloads/v1/firmware/types/{firmwareTypeId}/release-notes
List the firmware release notes of a specified type.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/downloads/v1/firmware/types/{firmwareTypeId}/release-notes" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"